Manage Digital Plan Product

This API allows you to take an existing standard product and configure it into a valid digital plan product or to manage an existing configuration.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

How to manage a digital plan product using this API

  1. Choose an existing Standard or Plan Product, if you don’t have one yet you will need to create one before you proceed with this configuration.
  2. Decide which resource_grants you want to add, update or delete:
    1. resource_grants determine how much of a given resource will be credited to a customer
    2. resources must already exist (please see: https://developer.ordergroove.com/reference/resource-create)
    3. currently only time_amounts can be granted, and are configured in terms of seconds
    4. there must always be at least one valid resource_grant for a digital plan product configuration
  3. Hit our API with your configuration, and your digital plan product setup is complete!
    1. the product will be associated with the resource grants as defined
    2. the product will now be of type: plan

Response Body Definitions

NameTypeDescriptionExample
array of objectsArray of object that reflect the current rotation configurationssee below

[
   {
       "resource": "c84a13fc8e904e0f80e6377b15f0464a",
       "product": "53485191069987",
       "public_id": "c0de05637e6e4828b8dc60cf1dc7af6f",
       "time_amount": 2592000,
       "grace_period": 86400,
       "created": "2025-05-28 13:56:05",
       "last_updated": "2025-05-29 16:46:20"
   },
   {
       "resource": "DSHUIGsgshuigsg80e89gffgh977758",
       "product": "53485191069987",
       "public_id": "7o8gh87fsf7dh87dhd7d988006ajjklf",
       "time_amount": 2592000,
       "grace_period": null,   
       "created": "2025-05-28 13:56:05",
       "last_updated": "2025-06-09 20:12:43"
    }
]
📘

To get the all the resource grants from the digital plan product use get product or list product endpoints with ?include_product_resource_grants=true as a query param

Path Params
string
required
Defaults to Merchant product id
Body Params
create
array of objects

Add new resource grants for your digital plan product

create
update
array of objects

Update existing resource grants for product

update
delete
array of strings

Delete existing resource grants with public ids to be deleted , ex: ["85eae83c245111eeb185acde48001122","b3928a0c3c4211eeac2bacde48001122"]

delete
string
Defaults to product.every * product.every_period

This is the time_amount for the identifier resource grant in seconds

string

This is the grace_period for the identifier resource grant in seconds

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json